PdxType (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class PdxType

- java.lang.Object
- - org.apache.geode.cache.configuration.PdxType

-     @Experimental
      public class PdxType
      extends Object

  A "pdx" element specifies the configuration for the portable data exchange (PDX) method of serialization. The "read-serialized" attribute is "early access".

  Java class for pdx-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="pdx-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="pdx-serializer" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="read-serialized" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="ignore-unread-fields" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="persistent" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `diskStoreName`
    `protected Boolean` | `ignoreUnreadFields`
    `protected DeclarableType` | `pdxSerializer`
    `protected Boolean` | `persistent`
    `protected Boolean` | `readSerialized`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdxType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `DeclarableType` | `getPdxSerializer()` Gets the value of the pdxSerializer property.
    `Boolean` | `isIgnoreUnreadFields()` Gets the value of the ignoreUnreadFields property.
    `Boolean` | `isPersistent()` Gets the value of the persistent property.
    `Boolean` | `isReadSerialized()` Gets the value of the readSerialized property.
    `void` | `setDiskStoreName(String value)` Sets the value of the diskStoreName property.
    `void` | `setIgnoreUnreadFields(Boolean value)` Sets the value of the ignoreUnreadFields property.
    `void` | `setPdxSerializer(DeclarableType value)` Sets the value of the pdxSerializer property.
    `void` | `setPersistent(Boolean value)` Sets the value of the persistent property.
    `void` | `setReadSerialized(Boolean value)` Sets the value of the readSerialized property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pdxSerializer

          protected DeclarableType pdxSerializer

    - #### readSerialized

          protected Boolean readSerialized

    - #### ignoreUnreadFields

          protected Boolean ignoreUnreadFields

    - #### persistent

          protected Boolean persistent

    - #### diskStoreName

          protected String diskStoreName

  - ### Constructor Detail

    - #### PdxType

          public PdxType()

  - ### Method Detail

    - #### getPdxSerializer

          public DeclarableType getPdxSerializer()

      Gets the value of the pdxSerializer property. possible object is `DeclarableType`
      Returns:
        the type of the `PdxSerializer`.

    - #### setPdxSerializer

          public void setPdxSerializer(DeclarableType value)

      Sets the value of the pdxSerializer property. allowed object is `DeclarableType`
      Parameters:
        `value` - the type of `PdxSerializer` to use.

    - #### isReadSerialized

          public Boolean isReadSerialized()

      Gets the value of the readSerialized property. possible object is `Boolean`
      Returns:
        true if read serialized is enabled, false otherwise.

    - #### setReadSerialized

          public void setReadSerialized(Boolean value)

      Sets the value of the readSerialized property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables read serialized.

    - #### isIgnoreUnreadFields

          public Boolean isIgnoreUnreadFields()

      Gets the value of the ignoreUnreadFields property. possible object is `Boolean`
      Returns:
        true if unread fields are ignored, false otherwise.

    - #### setIgnoreUnreadFields

          public void setIgnoreUnreadFields(Boolean value)

      Sets the value of the ignoreUnreadFields property. allowed object is `Boolean`
      Parameters:
        `value` - determine whether to ignore unread fields.

    - #### isPersistent

          public Boolean isPersistent()

      Gets the value of the persistent property. possible object is `Boolean`
      Returns:
        true if persistence is enabled, false otherwise.

    - #### setPersistent

          public void setPersistent(Boolean value)

      Sets the value of the persistent property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables persistence.

    - #### getDiskStoreName

          public String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`
      Returns:
        the disk store name.

    - #### setDiskStoreName

          public void setDiskStoreName(String value)

      Sets the value of the diskStoreName property. allowed object is `String`
      Parameters:
        `value` - the disk store name.